<?php

class LangMod{
//  var $ArrMsSp;
  public $VarLangsFolder = '';

	function __construct(){
//		$this->ArrMsSp = $ArrMsSp;
    $this->VarLangsFolder = $_SERVER['DOCUMENT_ROOT'] .'/../lang/';
		return true;
	}

  function GetLangs(){
    $objects = scandir($this->VarLangsFolder);
    if( sizeof($objects) > 0 ){
      foreach( $objects as $file ){
        if( $file == "." || $file == ".." ){
          continue;
        }
        if( is_dir( $file ) ){
          continue;
        }
        else{
          $ArrResult[] = substr($file, 0, 2);
        }
      }
    }
  	return $ArrResult;
	}
  
//  function GetFromDb($VarSqlName = 'SqlAll', $VarSqlGet = 'GetAll', $VarWhere = '', $VarOrder = '', $VarLimit = '', $VarJoinOn = ''){
//    $ArrSqlArray['SqlAll']['select'] = 'l.*';
//    $ArrSqlArray['SqlAll']['from'] = $this->VarTableLang .' AS l';
//    if('' != $VarWhere){
//      $ArrSqlArray['SqlAll']['where'] = $VarWhere;
//    }
//    //
//    $ArrResult = $this->DbGet($ArrSqlArray[$VarSqlName], $VarSqlGet);
//  	return $ArrResult;
//	}
}
?>